Bug 849570 - error when trying to install rhc on oracle enterprise linux 5.8
error when trying to install rhc on oracle enterprise linux 5.8
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 04:36 EDT by clive darra
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 10:44:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clive darra 2012-08-20 04:36:46 EDT
Description of problem:
error when trying to install rhc on oracle enterprise linux 5.8

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. yum install ruby rubygems
2. gem install rhc
  
Actual results:
# gem install rhc
*** buffer overflow detected ***: /usr/bin/ruby terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0xc59641]
/usr/lib/ruby/1.8/i386-linux/syck.so(rb_syck_mktime+0x501)[0x738de1]
/usr/lib/ruby/1.8/i386-linux/syck.so(yaml_org_handler+0x838)[0x7396f8]
/usr/lib/ruby/1.8/i386-linux/syck.so(syck_defaultresolver_node_import+0x3f)[0x739a5f]
/usr/lib/libruby.so.1.8[0x125e2a]
/usr/lib/libruby.so.1.8[0x12d55b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x12e832]
/usr/lib/libruby.so.1.8(rb_funcall+0x20)[0x12e9c0]
/usr/lib/ruby/1.8/i386-linux/syck.so(rb_syck_load_handler+0x69)[0x738809]
/usr/lib/ruby/1.8/i386-linux/syck.so(syck_hdlr_add_node+0x4a)[0x73424a]
/usr/lib/ruby/1.8/i386-linux/syck.so(syckparse+0xb98)[0x7326c8]
/usr/lib/ruby/1.8/i386-linux/syck.so(syck_parse+0x32)[0x733582]
/usr/lib/ruby/1.8/i386-linux/syck.so(syck_parser_load+0x112)[0x738652]
/usr/lib/libruby.so.1.8[0x125e48]
/usr/lib/libruby.so.1.8[0x12d55b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x135ef6]
/usr/lib/libruby.so.1.8[0x134720]
/usr/lib/libruby.so.1.8[0x12de2b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x135ef6]
/usr/lib/libruby.so.1.8[0x134720]
/usr/lib/libruby.so.1.8[0x12de2b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x135ef6]
/usr/lib/libruby.so.1.8[0x1369ce]
/usr/lib/libruby.so.1.8[0x12de2b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x136012]
/usr/lib/libruby.so.1.8[0x134434]
/usr/lib/libruby.so.1.8[0x136c8c]
/usr/lib/libruby.so.1.8[0x138b3c]
/usr/lib/libruby.so.1.8[0x135c9f]
/usr/lib/libruby.so.1.8[0x138b3c]
/usr/lib/libruby.so.1.8[0x139dfd]
/usr/lib/libruby.so.1.8[0x125e35]
/usr/lib/libruby.so.1.8[0x12d55b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x136012]
/usr/lib/libruby.so.1.8[0x1372dc]
/usr/lib/libruby.so.1.8[0x12de2b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x135ef6]
/usr/lib/libruby.so.1.8[0x1372dc]
/usr/lib/libruby.so.1.8[0x12de2b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8(rb_obj_call_init+0x57)[0x12e547]
/usr/lib/libruby.so.1.8(rb_class_new_instance+0x3a)[0x15c22a]
/usr/lib/libruby.so.1.8[0x125e48]
/usr/lib/libruby.so.1.8[0x12d55b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8(rb_call_super+0xa3)[0x12f203]
/usr/lib/libruby.so.1.8[0x12d6e8]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x136012]
/usr/lib/libruby.so.1.8[0x134720]
/usr/lib/libruby.so.1.8[0x136c8c]
/usr/lib/libruby.so.1.8[0x12de2b]
/usr/lib/libruby.so.1.8[0x12e278]
/usr/lib/libruby.so.1.8[0x135ef6]
/usr/lib/libruby.so.1.8[0x137a0d]
/usr/lib/libruby.so.1.8[0x1352f9]
======= Memory map: ========
00101000-001de000 r-xp 00000000 08:03 4525132    /usr/lib/libruby.so.1.8.5
001de000-001e1000 rwxp 000dc000 08:03 4525132    /usr/lib/libruby.so.1.8.5
001e1000-001f1000 rwxp 001e1000 00:00 0 
001f1000-00285000 r-xp 00000000 08:03 4533083    /usr/lib/libkrb5.so.3.3
00285000-00288000 rwxp 00093000 08:03 4533083    /usr/lib/libkrb5.so.3.3
00288000-0028a000 r-xp 00000000 08:03 1869261    /lib/libcom_err.so.2.1
0028a000-0028b000 rwxp 00001000 08:03 1869261    /lib/libcom_err.so.2.1
0028b000-0029c000 r-xp 00000000 08:03 1869258    /lib/libresolv-2.5.so
0029c000-0029d000 r-xp 00010000 08:03 1869258    /lib/libresolv-2.5.so
0029d000-0029e000 rwxp 00011000 08:03 1869258    /lib/libresolv-2.5.so
0029e000-002a0000 rwxp 0029e000 00:00 0 
002a0000-002ab000 r-xp 00000000 08:03 229283     /usr/lib/ruby/1.8/i386-linux/socket.so
002ab000-002ac000 rwxp 0000a000 08:03 229283     /usr/lib/ruby/1.8/i386-linux/socket.so
002ac000-002b0000 r-xp 00000000 08:03 1864369    /lib/libnss_dns-2.5.so
002b0000-002b1000 r-xp 00003000 08:03 1864369    /lib/libnss_dns-2.5.so
002b1000-002b2000 rwxp 00004000 08:03 1864369    /lib/libnss_dns-2.5.so
002ca000-002cc000 r-xp 00000000 08:03 229271     /usr/lib/ruby/1.8/i386-linux/etc.so
002cc000-002cd000 rwxp 00001000 08:03 229271     /usr/lib/ruby/1.8/i386-linux/etc.so
00353000-00355000 r-xp 00000000 08:03 229263     /usr/lib/ruby/1.8/i386-linux/digest.so
00355Aborted


Expected results:
should have installed

Additional info:
Comment 1 John (J5) Palmieri 2012-10-04 10:44:02 EDT
We don't support RHEL 5 of which oracle enterprise linux 5.8 is a fork.  The version of ruby is too old.  You may install using rvm to install a newer ruby stack but this is beyond the scope of our support - https://rvm.io/

Once a new version of ruby is installed (preferably >= 1.9 though later versions of 1.8 work) and the environment running you may install rhc via 'gem install rhc'

Note You need to log in before you can comment on or make changes to this bug.